Name:           python-uw-restclients-adsel
Version:        3.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A library for connecting to the AdSel API at the University of Washington

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/uw-it-aca/uw-restclients-adsel
Source:         %{pypi_source uw_restclients_adsel}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'uw-restclients-adsel' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-uw-restclients-adsel
Summary:        %{summary}

%description -n python3-uw-restclients-adsel %_description


%prep
%autosetup -p1 -n uw_restclients_adsel-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-uw-restclients-adsel -f %{pyproject_files}


%changelog
%autochangelog